### Method

# Camel StoreSearch set_expression

since: 3.58

#### Declaration [src]

    void
    camel_store_search_set_expression (
      CamelStoreSearch* self,
      const gchar* expression
    )

#### Description [src]

Sets the search `expression` to be used to search the messages in the selected folders with.

The expression can be `NULL`, to not search the folders.

The content is not updated automatically, call `camel_store_search_rebuild_sync()` to rebuild the content.

Available since: 3.58

#### Parameters

`expression`

  Type: `const gchar*`

  A search expression, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.